## krdp 6.5.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Arjen Hiemstra <ahiemstra@heimr.nl>
# SPDX-License-Identifier: BSD-2-Clause

set(PROJECT_VERSION "6.5.1")

cmake_minimum_required(VERSION 3.16)

set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.85")

project(KRdp VERSION "${PROJECT_VERSION}")

include(FeatureSummary)
find_package(ECM ${KF6_MIN_VERSION} NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake )

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(KDEClangFormat)
include(ECMGenerateExportHeader)
include(ECMAddTests)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMEnableSanitizers)
include(ECMDeprecationSettings)
include(ECMQmlModule)

option(BUILD_EXAMPLES "Build example applications" ON)
option(BUILD_PLASMA_SESSION "Build support for Plasma Screencasting extensions" ON)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core Quick Gui Network DBus WaylandClient Qml)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS Config DBusAddons KCMUtils I18n CoreAddons StatusNotifierItem Crash GuiAddons)

find_package(FreeRDP 3.1 REQUIRED)
find_package(WinPR 3.1 REQUIRED)
find_package(FreeRDP-Server 3.1 REQUIRED)
find_package(KPipeWire 5.27.80 REQUIRED)
find_package(XKB REQUIRED)

find_package(Qt6Keychain CONFIG)
set_package_properties(Qt6Keychain PROPERTIES
                                   DESCRIPTION "Provides support for secure credentials storage"
                                   URL "https://github.com/frankosterfeld/qtkeychain"
				   TYPE REQUIRED)

if(BUILD_PLASMA_SESSION)
    find_package(PlasmaWaylandProtocols REQUIRED)
endif()

find_package(PAM REQUIRED)
set_package_properties(PAM PROPERTIES DESCRIPTION "PAM Libraries"
                       URL "https://www.kernel.org/pub/linux/libs/pam/"
                       TYPE REQUIRED
                       PURPOSE "Required for authentication"
                      )

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)


ecm_set_disabled_deprecation_versions(QT 6.7.0
    KF 6.12.0
)

add_subdirectory(src)
add_subdirectory(server)

if(BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

ecm_setup_version(
    PROJECT
    VARIABLE_PREFIX KRdp
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/krdp_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KRdpConfigVersion.cmake"
    SOVERSION 1
)

configure_package_config_file(
    "KRdpConfig.cmake.in"
    "KRdpConfig.cmake"
    INSTALL_DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KRdp
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KRdpConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KRdpConfigVersion.cmake"
    DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KRdp
    COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

=== src/kcm/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Akseli Lahtinen <akselmo@akselmo.dev>
#
# SPDX-License-Identifier: BSD-2-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_krdpserver\")

kcmutils_add_qml_kcm(kcm_krdpserver)

kcmutils_generate_module_data(kcm_krdpserver
    MODULE_DATA_HEADER krdpserverdata.h
    MODULE_DATA_CLASS_NAME KRDPServerData
    SETTINGS_HEADERS krdpserversettings.h
    SETTINGS_CLASSES KRDPServerSettings
)

kconfig_target_kcfg_file(kcm_krdpserver
    FILE krdpserversettings.kcfg
    CLASS_NAME KRDPServerSettings
    MUTATORS
    DEFAULT_VALUE_GETTERS
    GENERATE_PROPERTIES
    PARENT_IN_CONSTRUCTOR
    NOTIFIERS
    GENERATE_MOC
)

ecm_qt_declare_logging_category(kcm_krdpserver
    HEADER krdp_logging.h
    IDENTIFIER KRDP
    CATEGORY_NAME org.kde.krdp
    DESCRIPTION "KRdp"
    EXPORT kcm_krdpserver
    DEFAULT_SEVERITY Debug
)

target_sources(kcm_krdpserver PRIVATE
   kcmkrdpserver.cpp
   kcmkrdpserver.h
   usersmodel.cpp
   usersmodel.h
)

qt_add_dbus_interface(kcm_krdpserver_dbus_srcs org.freedesktop.impl.portal.PermissionStore.xml org.freedesktop.impl.portal.PermissionStore)

target_sources(kcm_krdpserver PRIVATE ${kcm_krdpserver_dbus_srcs})

ecm_qt_declare_logging_category(kcm_krdpserver
    HEADER krdpkcm_logging.h
    IDENTIFIER KRDPKCM
    CATEGORY_NAME org.kde.krdp.kcm
    DESCRIPTION "KRDPKCM"
    EXPORT kcm_krdpserver
    DEFAULT_SEVERITY Debug
)

target_link_libraries(kcm_krdpserver PRIVATE
    Qt::Quick
    Qt::DBus
    qt6keychain
    KF6::CoreAddons
    KF6::KCMUtils
    KF6::KCMUtilsQuick
    KF6::I18n
    K::KPipeWireRecord
)

ecm_qt_install_logging_categories(EXPORT kcm_krdpserver DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

=== debian/changelog ===
krdp (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:14:42 +0100

=== debian/control ===
Source: krdp
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               freerdp3-dev (>= 3.1~),
               gettext,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkpipewire-dev (>= 6.4.91~),
               libpam0g-dev,
               libwinpr3-dev (>= 3.1~),
               libxkbcommon-dev,
               plasma-wayland-protocols,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               qtkeychain-qt6-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/krdp
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krdp
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krdp.git

Package: krdp
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: systemsettings,
Description: KDE's RDP Server with a settings module for Plasma
 The package contains both an RDP server as well as a
 systemsettings module to configure an RDP server.

## krdp 6.5.1+p24.04+vstable+git20251029.0814

=== debian/changelog ===
krdp (6.5.1+p24.04+vstable+git20251029.0814-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 08:14:58 +0000

krdp (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:13:59 +0000

## krdp 6.5.1+p24.04+vstable+git20251031.0944

=== debian/changelog ===
krdp (6.5.1+p24.04+vstable+git20251031.0944-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:44:58 +0000

## krdp 6.5.2

=== server/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Arjen Hiemstra <ahiemstra@heimr.nl>
# SPDX-License-Identifier: BSD-2-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"krdpserver\")

add_executable(krdpserver)

target_sources(krdpserver PRIVATE main.cpp SessionController.cpp)

kconfig_target_kcfg_file(krdpserver FILE krdpserversettings.kcfg CLASS_NAME ServerConfig SINGLETON)

target_include_directories(krdpserver PRIVATE ${CMAKE_BINARY_DIR})

target_link_libraries(krdpserver PRIVATE Qt6::Gui KF6::CoreAddons KF6::ConfigGui KF6::DBusAddons KF6::Crash KRdp qt6keychain KF6::StatusNotifierItem KF6::I18n)

if (BUILD_PLASMA_SESSION)
    target_compile_definitions(krdpserver PRIVATE -DWITH_PLASMA_SESSION)
endif()

configure_file(org.kde.krdpserver.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krdpserver.desktop @ONLY)
configure_file(app-org.kde.krdpserver.service.in ${CMAKE_CURRENT_BINARY_DIR}/app-org.kde.krdpserver.service @ONLY)

install(TARGETS krdpserver DESTINATION ${KDE_INSTALL_BINDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krdpserver.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/app-org.kde.krdpserver.service DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR})
install(FILES 00-krdp.preset DESTINATION ${KDE_INSTALL_SYSTEMDUNITDIR}/user-preset)

=== debian/changelog ===
krdp (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:11:46 +0000

krdp (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:46:02 +0000

krdp (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)
  * Build depend on libpam0g-dev.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:36:44 +0100

=== debian/control ===
Source: krdp
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.18.0~),
               freerdp3-dev (>= 2.10~),
               gettext,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkpipewire-dev (>= 6.5.2~),
               libpam0g-dev,
               libwinpr3-dev (>= 2.10~),
               libxkbcommon-dev,
               plasma-wayland-protocols,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev (>= 6.9.0+dfsg~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               qtkeychain-qt6-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/krdp
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdp
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdp
Rules-Requires-Root: no

Package: krdp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: systemsettings,
Description: KDE's RDP Server with a settings module for Plasma
 The package contains both an RDP server as well as a
 systemsettings module to configure an RDP server.

## krdp 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: 2023 Arjen Hiemstra <ahiemstra@heimr.nl>
 # SPDX-License-Identifier: BSD-2-Clause
 
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.3")
 
 cmake_minimum_required(VERSION 3.16)

=== debian/changelog ===
krdp (6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:07:02 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libkf6i18n-dev (>= 6.18.0~),
                libkf6kcmutils-dev (>= 6.18.0~),
                libkf6statusnotifieritem-dev (>= 6.18.0~),
-               libkpipewire-dev (>= 6.5.2~),
+               libkpipewire-dev (>= 6.5.3~),
                libpam0g-dev,
                libwinpr3-dev (>= 2.10~),
                libxkbcommon-dev,

## krdp 6.5.3+p24.04+vunstable+git20251123.0130

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: 2023 Arjen Hiemstra <ahiemstra@heimr.nl>
 # SPDX-License-Identifier: BSD-2-Clause
 
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.80")
 
 cmake_minimum_required(VERSION 3.16)
 
@@ -58,6 +58,9 @@
 if(BUILD_PLASMA_SESSION)
     find_package(PlasmaWaylandProtocols REQUIRED)
 endif()
+
+find_package(Systemd 254)
+set_package_properties(Systemd PROPERTIES TYPE REQUIRED PURPOSE "Required by KCM to activate the KRDP Server units.")
 
 find_package(PAM REQUIRED)
 set_package_properties(PAM PROPERTIES DESCRIPTION "PAM Libraries"

=== debian/changelog ===
krdp (6.5.3+p24.04+vunstable+git20251123.0130-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 01:30:45 +0000

krdp (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:12:01 +1000

krdp (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:11:32 +1000

## krdp 6.5.3+p24.04+vunstable+git20251202.1013

=== debian/changelog ===
krdp (6.5.3+p24.04+vunstable+git20251202.1013-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 10:13:02 +0000

## krdp 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: 2023 Arjen Hiemstra <ahiemstra@heimr.nl>
 # SPDX-License-Identifier: BSD-2-Clause
 
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.4")
 
 cmake_minimum_required(VERSION 3.16)
 
@@ -58,9 +58,6 @@
 if(BUILD_PLASMA_SESSION)
     find_package(PlasmaWaylandProtocols REQUIRED)
 endif()
-
-find_package(Systemd 254)
-set_package_properties(Systemd PROPERTIES TYPE REQUIRED PURPOSE "Required by KCM to activate the KRDP Server units.")
 
 find_package(PAM REQUIRED)
 set_package_properties(PAM PROPERTIES DESCRIPTION "PAM Libraries"

=== debian/changelog ===
krdp (6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:17:30 +0000

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                freerdp3-dev (>= 2.10~),
                gettext,
@@ -18,7 +18,7 @@
                libkf6i18n-dev (>= 6.18.0~),
                libkf6kcmutils-dev (>= 6.18.0~),
                libkf6statusnotifieritem-dev (>= 6.18.0~),
-               libkpipewire-dev (>= 6.5.3~),
+               libkpipewire-dev (>= 6.5.4~),
                libpam0g-dev,
                libwinpr3-dev (>= 2.10~),
                libxkbcommon-dev,

## krdp 6.5.4+p24.04+vstable+git20251231.0338

=== debian/changelog ===
krdp (6.5.4+p24.04+vstable+git20251231.0338-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:38:02 +0000

krdp (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:20:15 +1000

## krdp 6.5.4+p24.04+vstable+git20260101.0117

=== debian/changelog ===
krdp (6.5.4+p24.04+vstable+git20260101.0117-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:17:02 +0000

## krdp 6.5.4+p24.04+vstable+git20260103.0604

=== debian/changelog ===
krdp (6.5.4+p24.04+vstable+git20260103.0604-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 06:04:07 +0000

## krdp 6.5.4+p24.04+vstable+git20260107.0902

=== debian/changelog ===
krdp (6.5.4+p24.04+vstable+git20260107.0902-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 09:02:48 +0000

## krdp 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: 2023 Arjen Hiemstra <ahiemstra@heimr.nl>
 # SPDX-License-Identifier: BSD-2-Clause
 
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.5")
 
 cmake_minimum_required(VERSION 3.16)

=== debian/changelog ===
krdp (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:55:06 +0000

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                freerdp3-dev (>= 2.10~),
                gettext,
@@ -18,7 +18,7 @@
                libkf6i18n-dev (>= 6.18.0~),
                libkf6kcmutils-dev (>= 6.18.0~),
                libkf6statusnotifieritem-dev (>= 6.18.0~),
-               libkpipewire-dev (>= 6.5.4~),
+               libkpipewire-dev (>= 6.5.5~),
                libpam0g-dev,
                libwinpr3-dev (>= 2.10~),
                libxkbcommon-dev,

## krdp 6.5.5+p24.04+vstable+git20260129.0212

=== debian/changelog ===
krdp (6.5.5+p24.04+vstable+git20260129.0212-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:12:06 +0000

krdp (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:28:44 +1000

## krdp 6.5.5+p24.04+vstable+git20260130.0924

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-FileCopyrightText: 2023 Arjen Hiemstra <ahiemstra@heimr.nl>
 # SPDX-License-Identifier: BSD-2-Clause
 
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.5.91")
 
 cmake_minimum_required(VERSION 3.16)
 
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.85")
 
 project(KRdp VERSION "${PROJECT_VERSION}")
@@ -58,6 +58,9 @@
 if(BUILD_PLASMA_SESSION)
     find_package(PlasmaWaylandProtocols REQUIRED)
 endif()
+
+find_package(Systemd 254 QUIET)
+set_package_properties(Systemd PROPERTIES TYPE OPTIONAL PURPOSE "If available, used by KCM to integrate with systemd to enable/disable the service and show logs")
 
 find_package(PAM REQUIRED)
 set_package_properties(PAM PROPERTIES DESCRIPTION "PAM Libraries"

=== debian/changelog ===
krdp (6.5.5+p24.04+vstable+git20260130.0924-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:24:08 +0000

## krdp 6.5.5+p24.04+vunstable+git20260130.1411

=== debian/changelog ===
krdp (6.5.5+p24.04+vunstable+git20260130.1411-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:11:15 +0000

## krdp 6.5.5+p24.04+vunstable+git20260204.0107

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: 2023 Arjen Hiemstra <ahiemstra@heimr.nl>
 # SPDX-License-Identifier: BSD-2-Clause
 
-set(PROJECT_VERSION "6.5.91")
+set(PROJECT_VERSION "6.6.80")
 
 cmake_minimum_required(VERSION 3.16)

=== debian/changelog ===
krdp (6.5.5+p24.04+vunstable+git20260204.0107-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 01:07:45 +0000

## krdp 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: 2023 Arjen Hiemstra <ahiemstra@heimr.nl>
 # SPDX-License-Identifier: BSD-2-Clause
 
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.1")
 
 cmake_minimum_required(VERSION 3.16)

=== src/kcm/CMakeLists.txt ===
--- 
+++ 
@@ -64,4 +64,10 @@
     K::KPipeWireRecord
 )
 
+# Link libsystemd when found and advertise feature to code
+if (Systemd_FOUND)
+    target_link_libraries(kcm_krdpserver PRIVATE Systemd::systemd)
+    target_compile_definitions(kcm_krdpserver PRIVATE HAVE_SYSTEMD)
+endif()
+
 ecm_qt_install_logging_categories(EXPORT kcm_krdpserver DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

=== debian/changelog ===
krdp (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:13:29 +0000

=== debian/control ===
--- 
+++ 
@@ -8,25 +8,25 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                freerdp3-dev (>= 2.10~),
                gettext,
-               libkf6config-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6crash-dev (>= 6.18.0~),
-               libkf6dbusaddons-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6kcmutils-dev (>= 6.18.0~),
-               libkf6statusnotifieritem-dev (>= 6.18.0~),
-               libkpipewire-dev (>= 6.5.5~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6crash-dev (>= 6.22.0~),
+               libkf6dbusaddons-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6kcmutils-dev (>= 6.22.0~),
+               libkf6statusnotifieritem-dev (>= 6.22.0~),
+               libkpipewire-dev (>= 6.6.1~),
                libpam0g-dev,
                libwinpr3-dev (>= 2.10~),
                libxkbcommon-dev,
                plasma-wayland-protocols,
-               qt6-base-dev (>= 6.9.0~),
-               qt6-base-private-dev (>= 6.9.0+dfsg~),
-               qt6-declarative-dev (>= 6.9.0~),
-               qt6-wayland-dev (>= 6.9.0~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-base-private-dev (>= 6.10.0+dfsg~),
+               qt6-declarative-dev (>= 6.10.0~),
+               qt6-wayland-dev (>= 6.10.0~),
                qtkeychain-qt6-dev,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/krdp

## krdp 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: 2023 Arjen Hiemstra <ahiemstra@heimr.nl>
 # SPDX-License-Identifier: BSD-2-Clause
 
-set(PROJECT_VERSION "6.6.1")
+set(PROJECT_VERSION "6.6.2")
 
 cmake_minimum_required(VERSION 3.16)

=== debian/changelog ===
krdp (6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:21:53 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libkf6i18n-dev (>= 6.22.0~),
                libkf6kcmutils-dev (>= 6.22.0~),
                libkf6statusnotifieritem-dev (>= 6.22.0~),
-               libkpipewire-dev (>= 6.6.1~),
+               libkpipewire-dev (>= 6.6.2~),
                libpam0g-dev,
                libwinpr3-dev (>= 2.10~),
                libxkbcommon-dev,
